<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$doc = new document(5);
$doc -> title = 'Статистика (по дням)';

if (!$dcms->log_of_visits)$doc->err('Служба ведения статистики отключена');

if (isset($log_of_visits) && mysql_result(mysql_query("SELECT COUNT(*) FROM `log_of_visits_today` WHERE `time` <> '".DAY_TIME."' LIMIT 1"),0))
{
$log_of_visits->tally();
}

$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `log_of_visits_for_days`"), 0); // количество сообщений
$pages->this_page(); // получаем текущую страницу

$icon=array('size'=>'small','src'=>'/sys/images/icons/statistics.png');
$q = mysql_query("SELECT * FROM `log_of_visits_for_days` ORDER BY `time_day` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($st=mysql_fetch_assoc($q)) {
$t=date('d-m-Y',$st['time_day']);

$p="<table border='1' style='border-collapse: collapse'>\n";
$p.="<tr><td></td><td>WAP</td><td>PDA</td><td>WEB</td><td>В сумме</td></tr>\n";
$p.="<tr><td>Хосты</td><td>$st[hosts_wap]</td><td>$st[hosts_pda]</td><td>$st[hosts_web]</td><td>".($st['hosts_wap']+$st['hosts_pda']+$st['hosts_web'])."</td></tr>\n";
$p.="<tr><td>Хиты</td><td>$st[hits_wap]</td><td>$st[hits_pda]</td><td>$st[hits_web]</td><td>".($st['hits_wap']+$st['hits_pda']+$st['hits_web'])."</td></tr>\n";
$p.="</table>\n";

$posts[]=array('title'=>$t,'icon'=>$icon,'post'=>$p);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Сообщения отсутствуют');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing('?'); // вывод страниц

if (!$dcms->log_of_visits)$doc->act('Управление службами','sys.settings.daemons.php');
$doc->ret('Админка','./');
?>
